<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.remoting.remote-outbound-connection">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="authentication-context,outbound-socket-binding-ref,protocol,security-realm,username"/>
        <elem name="addr-params" value="profile,subsystem,remote-outbound-connection"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.remoting.outbound-connection.$remote-outbound-connection"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$outbound-socket-binding-ref"/>
        <capability name="$profile.org.wildfly.security.authentication-context.$authentication-context" optional="true"/>
        <capability name="$profile.org.wildfly.remoting.endpoint"/>
    </requires>
    <refs>
        <ref feature="subsystem.remoting"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="outbound-socket-binding-ref"/>
        <param name="protocol" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="security-realm" nillable="true"/>
        <param name="authentication-context" nillable="true"/>
        <param name="remote-outbound-connection" feature-id="true"/>
        <param name="username" nillable="true"/>
    </params>
</feature-spec>